field.formatter.settings.fontawesome_iconpicker_formatter_type:
  type: mapping
  label: 'Formatter settings'
  mapping:
    size:
      type: string
      label: 'Icon size'
field.widget.settings.fontawesome_iconpicker:
  type: mapping
  label: 'Widget settings'
  mapping:
    size:
      type: integer
      label: 'Field size'
    placeholder:
      type: string
      label: 'Placeholder'
    type:
      type: string
      label: 'Type'
